"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.onOperation = exports.onAutomatedPlanUpdatePublished = exports.onPlanUpdatePublished = exports.automatedPlanUpdateAlert = exports.planUpdateAlert = void 0;
const _1 = require(".");
/** @internal */
exports.planUpdateAlert = 'billing.planUpdate';
/** @internal */
exports.automatedPlanUpdateAlert = 'billing.automatedPlanUpdate';
function onPlanUpdatePublished(optsOrHandler, handler) {
    return onOperation(exports.planUpdateAlert, optsOrHandler, handler);
}
exports.onPlanUpdatePublished = onPlanUpdatePublished;
function onAutomatedPlanUpdatePublished(optsOrHandler, handler) {
    return onOperation(exports.automatedPlanUpdateAlert, optsOrHandler, handler);
}
exports.onAutomatedPlanUpdatePublished = onAutomatedPlanUpdatePublished;
/** @internal */
function onOperation(alertType, optsOrHandler, handler) {
    if (typeof optsOrHandler === 'function') {
        handler = optsOrHandler;
        optsOrHandler = {};
    }
    const func = (raw) => {
        return handler(raw);
    };
    func.run = handler;
    func.__endpoint = (0, _1.getEndpointAnnotation)(optsOrHandler, alertType);
    return func;
}
exports.onOperation = onOperation;
